%define _unpackaged_files_terminate_build 0
#define compat 10

Summary: IP calculating and subnetting library
Summary(ko): IP 계산과 서브넷팅을 위한 라이브러리
Name: libipcalc%{?compat}
Version: 1.0.2r60
Release: 1
Epoch: 100
License: LGPL
Group: System Environment/Libraries
Source0: ftp://mirror.oops.org/pub/oops/%{name}/%{name}-%{version}.tar.bz2
URL: http://oops.org
Buildroot: /var/tmp/%{name}-%{version}-root

%description
This library support API for IP calculating and subnetting.

%package devel
Summary: Header and object files for development using libipcalc%{?compat}
Summary(ko): libipcalc%{?compat}을 이용한 개발시 필요한 헤더와 오브젝트 파일
Requires: libipcalc%{?compat}
Group: System Environment/Libraries

%description devel
The libipcalc%{?compat}-devel package contains the header and object files
necessary for developing programs

%package utils
Summary: IP calculating and subnetting utility
Summary(ko): IP 계산과 서브넷팅을 위한 도구
Requires: libipcalc%{?compat}
Group: System Environment/System

%description utils
libipcalc%{?compat}-utils package contains two utilities for calculating
and subnetting IP address.

%prep
%{__rm} -rf %{buildroot}
%{__rm} -rf $RPM_BUILD_DIR/%{name}-%{version}
%setup -q -n libipcalc-%{version}

%build
%configure %{?compat:--with-compat=%{compat}}

%{__make} %{?_smp_mflags}

%install
%{__make} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(0755,root,root)
%doc Changes LICENSE README
%{_libdir}/*.so.*

%files devel
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/*-config
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*.h
%{!?compat:%{_mandir}/man3/*.3*}
%{!?compat:%{_mandir}/ko/man3/*.3*}

%files utils
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/ip2long%{?compat}
%attr(0755,root,root) %{_bindir}/netcalc%{?compat}
%{_datadir}/aclocal/*.m4
%{!?compat:%{_mandir}/man1/*.1*}
%{!?compat:%{_mandir}/ko/man1/*.1*}

%changelog
* Wed Jan 14 2015 JoungKyun.Kim <http://oops.org> 100:1.0.2r60-1
- rebuild on an3

* Tue Jan 24 2012 JoungKyun.Kim <http://oops.org> 1:1.0.2r60-1
- packaged with 1.0.2 r60

